Laptop speakers do not mute when using headphones

Bug #109838 reported by Gabriel Loewen on 2007-04-25
78
This bug affects 5 people
Affects Status Importance Assigned to Milestone
hal (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
Medium
Unassigned
linux-source-2.6.22 (Ubuntu)
Medium
Ubuntu Audio Team

Bug Description

After inserting my headphones the built in speakers do not mute. Audio is heard through both the speakers and the headphones. This has been observed on a Toshiba a135-s4467 laptop, as well as several others. The sound card used is snd-hda-intel Intel High Definition Audio, using the ALSA "3stack" mode.

Output of tail -2 /proc/asound/oss/sndstat:
Mixers:
0: Realtek ALC861-VD

Output of amixer:
Simple mixer control 'Headphone',0
  Capabilities: pswitch
  Playback channels: Front Left - Front Right
  Mono:
  Front Left: Playback [on]
  Front Right: Playback [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 255 [100%] [0.00dB]
  Front Right: Playback 255 [100%] [0.00dB]
Simple mixer control 'Front',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 64
  Mono:
  Front Left: Playback 16 [25%] [-48.00dB] [on]
  Front Right: Playback 16 [25%] [-48.00dB] [on]
Simple mixer control 'Front Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [12.00dB] [on]
  Front Right: Playback 31 [100%] [12.00dB] [on]
Simple mixer control 'Front Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 0 [0%]
  Front Right: 0 [0%]
Simple mixer control 'Line',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [-34.50dB] [off]
  Front Right: Playback 0 [0%] [-34.50dB] [off]
Simple mixer control 'CD',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 25 [81%] [3.00dB] [on]
  Front Right: Playback 25 [81%] [3.00dB] [on]
Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [-34.50dB] [off]
  Front Right: Playback 0 [0%] [-34.50dB] [off]
Simple mixer control 'Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 0 [0%]
  Front Right: 0 [0%]
Simple mixer control 'PC Speaker',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [12.00dB] [on]
  Front Right: Playback 31 [100%] [12.00dB] [on]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 0 [0%] [-13.50dB] [on]
  Front Right: Capture 0 [0%] [-13.50dB] [on]
Simple mixer control 'Caller ID',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Input Source',0
  Capabilities: enum
  Items: 'Mic' 'Front Mic' 'Line' 'CD'
  Item0: 'Front Mic'
Simple mixer control 'Off-hook',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]

Output of lspci -nv:
00:00.0 0600: 8086:27a0 (rev 03)
        Subsystem: 1179:ff00
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:02.0 0300: 8086:27a2 (rev 03) (prog-if 00 [VGA])
        Subsystem: 1179:ff02
        Flags: bus master, fast devsel, latency 0, IRQ 17
        Memory at dc100000 (32-bit, non-prefetchable) [size=512K]
        I/O ports at 1800 [size=8]
        Memory at c0000000 (32-bit, prefetchable) [size=256M]
        Memory at dc200000 (32-bit, non-prefetchable) [size=256K]
        Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [d0] Power Management version 2

00:02.1 0380: 8086:27a6 (rev 03)
        Subsystem: 1179:ff02
        Flags: bus master, fast devsel, latency 0
        Memory at dc180000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [d0] Power Management version 2

00:1b.0 0403: 8086:27d8 (rev 02)
        Subsystem: 1179:ff01
        Flags: bus master, fast devsel, latency 0, IRQ 21
        Memory at dc440000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
        Capabilities: [70] Express Unknown type IRQ 0

00:1c.0 0604: 8086:27d0 (rev 02) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        I/O behind bridge: 00002000-00002fff
        Memory behind bridge: d6000000-d7ffffff
        Prefetchable memory behind bridge: 00000000d0000000-00000000d1ffffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [90] Subsystem: 1179:ff00
        Capabilities: [a0] Power Management version 2

00:1c.1 0604: 8086:27d2 (rev 02) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
        I/O behind bridge: 00003000-00003fff
        Memory behind bridge: d8000000-d9ffffff
        Prefetchable memory behind bridge: 00000000d2000000-00000000d3ffffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [90] Subsystem: 1179:ff00
        Capabilities: [a0] Power Management version 2

00:1c.2 0604: 8086:27d4 (rev 02) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
        I/O behind bridge: 00004000-00004fff
        Memory behind bridge: da000000-dbffffff
        Prefetchable memory behind bridge: 00000000d4000000-00000000d5ffffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [90] Subsystem: 1179:ff00
        Capabilities: [a0] Power Management version 2

00:1d.0 0c03: 8086:27c8 (rev 02) (prog-if 00 [UHCI])
        Subsystem: 1179:ff00
        Flags: bus master, medium devsel, latency 0, IRQ 20
        I/O ports at 1820 [size=32]

00:1d.1 0c03: 8086:27c9 (rev 02) (prog-if 00 [UHCI])
        Subsystem: 1179:ff00
        Flags: bus master, medium devsel, latency 0, IRQ 19
        I/O ports at 1840 [size=32]

00:1d.2 0c03: 8086:27ca (rev 02) (prog-if 00 [UHCI])
        Subsystem: 1179:ff00
        Flags: bus master, medium devsel, latency 0, IRQ 18
        I/O ports at 1860 [size=32]

00:1d.3 0c03: 8086:27cb (rev 02) (prog-if 00 [UHCI])
        Subsystem: 1179:ff00
        Flags: bus master, medium devsel, latency 0, IRQ 17
        I/O ports at 1880 [size=32]

00:1d.7 0c03: 8086:27cc (rev 02) (prog-if 20 [EHCI])
        Subsystem: 1179:ff00
        Flags: bus master, medium devsel, latency 0, IRQ 20
        Memory at dc444000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Debug port

00:1e.0 0604: 8086:2448 (rev e2) (prog-if 01 [Subtractive decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=06, subordinate=0a, sec-latency=56
        I/O behind bridge: 00005000-00005fff
        Memory behind bridge: dc000000-dc0fffff
        Prefetchable memory behind bridge: 0000000050000000-0000000053ffffff
        Capabilities: [50] Subsystem: 1179:ff00

00:1f.0 0601: 8086:27b9 (rev 02)
        Subsystem: 1179:ff00
        Flags: bus master, medium devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:1f.2 0101: 8086:27c4 (rev 02) (prog-if 80 [Master])
        Subsystem: 1179:ff00
        Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 19
        I/O ports at 01f0 [size=8]
        I/O ports at 03f4 [size=1]
        I/O ports at 0170 [size=8]
        I/O ports at 0374 [size=1]
        I/O ports at 18b0 [size=16]
        Capabilities: [70] Power Management version 2

00:1f.3 0c05: 8086:27da (rev 02)
        Subsystem: 1179:ff00
        Flags: medium devsel, IRQ 11
        I/O ports at 18c0 [size=32]

04:00.0 0280: 8086:4222 (rev 02)
        Subsystem: 8086:1040
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at d8000000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [c8] Power Management version 2
        Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
        Capabilities: [e0] Express Legacy Endpoint IRQ 0

05:00.0 0200: 10ec:8136 (rev 01)
        Subsystem: 1179:ff00
        Flags: bus master, fast devsel, latency 0, IRQ 18
        I/O ports at 4000 [size=256]
        Memory at da000000 (64-bit, non-prefetchable) [size=4K]
        [virtual] Expansion ROM at d4000000 [disabled] [size=64K]
        Capabilities: [40] Power Management version 2
        Capabilities: [48] Vital Product Data
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/1 Enable-
        Capabilities: [60] Express Endpoint IRQ 0
        Capabilities: [84] Vendor Specific Information

06:04.0 0607: 104c:8039
        Subsystem: 1179:ff00
        Flags: bus master, medium devsel, latency 168, IRQ 17
        Memory at dc006000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=06, secondary=07, subordinate=0a, sec-latency=176
        Memory window 0: 50000000-53fff000 (prefetchable)
        Memory window 1: 54000000-57fff000
        I/O window 0: 00005000-000050ff
        I/O window 1: 00005400-000054ff
        16-bit legacy interface ports at 0001

06:04.1 0c00: 104c:803a (prog-if 10 [OHCI])
        Subsystem: 1179:ff00
        Flags: bus master, medium devsel, latency 32, IRQ 16
        Memory at dc005000 (32-bit, non-prefetchable) [size=2K]
        Memory at dc000000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 2

06:04.2 0180: 104c:803b
        Subsystem: 1179:ff00
        Flags: bus master, medium devsel, latency 57, IRQ 18
        Memory at dc004000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2

06:04.3 0805: 104c:803c (prog-if 01)
        Subsystem: 1179:ff00
        Flags: bus master, medium devsel, latency 57, IRQ 19
        Memory at dc005800 (32-bit, non-prefetchable) [size=256]
        Capabilities: [80] Power Management version 2

Output of asoundconf list:
Names of available sound cards:
Intel

Output of cat /proc/interrupts:
           CPU0 CPU1
  0: 167906 0 IO-APIC-edge timer
  1: 1582 0 IO-APIC-edge i8042
  8: 17 0 IO-APIC-edge rtc
  9: 663 0 IO-APIC-fasteoi acpi
 12: 99905 0 IO-APIC-edge i8042
 14: 38115 22791 IO-APIC-edge libata
 15: 6949 0 IO-APIC-edge libata
 16: 21805 0 IO-APIC-fasteoi ohci1394, ipw3945
 17: 6919 78504 IO-APIC-fasteoi uhci_hcd:usb5, yenta, i915@pci:0000:00:02.0
 18: 0 0 IO-APIC-fasteoi uhci_hcd:usb4, tifm_7xx1, eth0
 19: 0 0 IO-APIC-fasteoi uhci_hcd:usb3, sdhci:slot0
 20: 0 0 IO-APIC-fasteoi ehci_hcd:usb1, uhci_hcd:usb2
 21: 1496 0 IO-APIC-fasteoi HDA Intel
NMI: 0 0
LOC: 167648 167647
ERR: 0
MIS: 0

description: updated
description: updated
Brian Murray (brian-murray) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. Which version of the kernel are you using? You can check with 'uname -a'. Thanks in advance.

The kernel version that I am running is:
2.6.20-15-generic i686 GNU/Linux

On 4/25/07, Brian Murray <email address hidden> wrote:
>
> Thanks for taking the time to report this bug and helping to make Ubuntu
> better. Which version of the kernel are you using? You can check with
> 'uname -a'. Thanks in advance.
>
> ** Changed in: Ubuntu
> Assignee: (unassigned) => Brian Murray
> Status: Unconfirmed => Needs Info
>
> --
> Laptop speakers do not mute when using headphones
> https://bugs.launchpad.net/bugs/109838
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I have the same model of toshiba laptop (a135-s4467) and have spent the last couple of hours trying to get audio working and then trying to get the speakers to mute when headphones are plugged in.

I ended up installing alsa-driver 1.0.14 rc4 to get audio working once again with Feisty. I tried "model=3stack" and "model=auto" both of which would produce audio but not mute the internal speakers when using the headphone jack. After looking through the patch_realtek.c code, I found that a number of realtek based codec configurations require a little extra work to enable proper jack sensing.

For the ALC861-VD, someone had implemented this jacks sensing for the lenovo model. So, I changed my model from "3stack" to "lenovo" and voila, audio works as expected and jack sensing works as well.

Note: I did have to unplug and replug my headphones after I changed the model (sudo modprobe -r snd-hda-intel && modprobe snd-hda-intel model=lenovo) for the muting to work but I haven't run into any other quirks over a couple of reboots now after I set the model in /etc/modprobe.d/alsa-base.

I hope this helps.

Gabriel Loewen (gabriel-loewen) wrote :

@tritonrc
I tried what you stated, but was unable to reproduce the results that you got. When I set ALSA to use "lenovo" I get no audio. Is there a patch for realtek hda sound cards that I need to apply first?

I did end up replacing patch_realtek.c in the alsa-driver 1.0.14 rc4 distribution with a patch from here: https://bugtrack.alsa-project.org/alsa-bug/view.php?id=2725 (realtek6.tar.gz) since it appears the Lenovo laptop mentioned in that bug shares identical hardware (and Feisty sound issues) with the toshiba satellite.

Gabriel Loewen (gabriel-loewen) wrote :

Thanks a lot, that patch fixed my laptop. The patch that tritonrc listed above should be integrated into the alsa-driver package. Thanks again tritonrc.

hmjgriffon (hmjgriffon) wrote :

"""I did end up replacing patch_realtek.c in the alsa-driver 1.0.14 rc4 distribution with a patch from here: https://bugtrack.alsa-project.org/alsa-bug/view.php?id=2725 (realtek6.tar.gz) since it appears the Lenovo laptop mentioned in that bug shares identical hardware (and Feisty sound issues) with the toshiba satellite."""

Can you post the alsa driver with the new patch in it? You need an account to do anything on that alsa page, would much appreciate it.

pbwalker (pbwalker) wrote :

Attached you will find the patch_realtek.c file.

pbwalker (pbwalker) wrote :

This worked like a champ. tritonrc is the man.

This will need to be put into the ALSA driver so people know. Thanks!

Download full text (10.2 KiB)

The kernel that came with the Feisty CD worked fine as far as muting the speakers when plugging in the headphones, but with the update from -15 to -16 it started having this problem.

Output of tail -2 /proc/asound/oss/sndstat:
Mixers:
0: Analog Devices AD1986A

Output of amixer:
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 22 [71%] [on]
  Front Right: Playback 22 [71%] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 25 [81%] [3.00dB] [on]
  Front Right: Playback 25 [81%] [3.00dB] [on]
Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Mono
  Limits: Playback 0 - 31
  Mono: Capture [on]
  Front Left: Playback 30 [97%] [10.50dB] [off]
  Front Right: Playback 30 [97%] [10.50dB] [off]
Simple mixer control 'Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 3 [100%]
  Front Right: 3 [100%]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 15
  Front Left: Capture 15 [100%] [22.50dB] [on]
  Front Right: Capture 15 [100%] [22.50dB] [on]
Simple mixer control 'Mix',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Mono
  Mono: Capture [off]
Simple mixer control 'Caller ID',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'External Amplifier',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Internal Mic',0
  Capabilities: pvolume pswitch cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Mono
  Limits: Playback 0 - 31
  Mono: Capture [off]
  Front Left: Playback 17 [55%] [-9.00dB] [off]
  Front Right: Playback 17 [55%] [-9.00dB] [off]
Simple mixer control 'Off-hook',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]

Output of lspci -nv:
00:00.0 0600: 8086:27a0 (rev 03)
        Subsystem: 17aa:2061
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:01.0 0604: 8086:27a1 (rev 03) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        Memory behind bridge: d0000000-d1ffffff
        Prefetchable memory behind bridge: 00000000c0000000-00000000cfffffff
        Capabilities: [88] Subsystem: 17aa:2062
        Capabilities: [80] Power Management version 2
        Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [a0] Express Root Port (Slot+) IRQ 0

00:1b.0 0403: 8086:27d8 (rev 02)
     ...

david (david-kabelverhau) wrote :

setting
options snd-hda-intel model=lenovo
in /etc/modprobe.d/options
fixed the problem on my Asus U1F. Thanks for the hint!

Ubuntu Feisty
Kernel 2.6.22-7-generic from Gutsy

Manoel B H Carvalho (manoelhc) wrote :

The same thing with my toshiba a135-4477 - Ubuntu 7.04 x64.
The front-mic seems work, but it wasn´t able to record with "Sound Recorder" and wasn´t works with skype.

Same problem observed on a new Dell Inspiron 1520 running 32-bit Feisty, but with a twist - if the laptop has headphones (or external speakers) plugged in when it's restarted, the headphones work, but the internal speakers don't make any sound at all, even if the headphones are later unplugged. "model=lenovo" didn't seem to help; the sound card is Intel ICH8-based and uses the SigmaTel STAC9205 codec.

Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug does not meet the criteria for a stable release update and is being marked as Won't Fix for this particular version of the kernel. You can learn more about the stable release update process at https://wiki.ubuntu.com/StableReleaseUpdates .
However, the issue that you reported is one that should be possible to test with the live environment of the Desktop CD of the development release - Gutsy Gibbon. It would help us greatly if you could test with it so we can work on getting it fixed in the actively developed kernel. You can find out more about the development release at http://www.ubuntu.com/testing/ .
If you do decide to test with the development release of Ubuntu please comment on this bug report and include at least the minimal information requested at http://wiki.ubuntu.com/KernelTeamBugPolicies . Thanks again and we appreciate your help.

Changed in linux-source-2.6.20:
assignee: ubuntu-audio → brian-murray
status: Confirmed → Won't Fix
Andrew (andrew-rw-robinson) wrote :

I have been able to reproduce this issue on a Dell Latitude D630.

Alsa source compiled in using module assistant
alsa-modules-2.6.22-14-generic_1.0.14-1ubuntu2+2

Kernel 2.6.22-14-generic

lspci -vv info on the sound card:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
        Subsystem: Dell Unknown device 01f9
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 20
        Region 0: Memory at fe9fc000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
                Address: 0000000000000000 Data: 0000
        Capabilities: [70] Express Unknown type IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s unlimited, L1 unlimited
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
                Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
                Link: Supported Speed unknown, Width x0, ASPM unknown, Port 0
                Link: Latency L0s <64ns, L1 <1us
                Link: ASPM Disabled CommClk- ExtSynch-
                Link: Speed unknown, Width x0

Line added to /etc/modprobe.d/alsa-base:
options snd-hda-intel model=dell-m42

I also tried models auto, and 3stack with the same results.

This is in the gutsy release

Are you saying that adding that line to /etc/modprobe.d/alsa-base
resolved the problem, or only that you are experiencing the same bug
on your Latitude?

Cheers,
Boyd

On 05/11/2007, Andrew <email address hidden> wrote:
> I have been able to reproduce this issue on a Dell Latitude D630.
>
> Alsa source compiled in using module assistant
> alsa-modules-2.6.22-14-generic_1.0.14-1ubuntu2+2
>
> Kernel 2.6.22-14-generic
>
> lspci -vv info on the sound card:
>
> 00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
> Subsystem: Dell Unknown device 01f9
> Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
> Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
> Latency: 0, Cache Line Size: 64 bytes
> Interrupt: pin A routed to IRQ 20
> Region 0: Memory at fe9fc000 (64-bit, non-prefetchable) [size=16K]
> Capabilities: [50] Power Management version 2
> Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
> Status: D0 PME-Enable- DSel=0 DScale=0 PME-
> Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
> Address: 0000000000000000 Data: 0000
> Capabilities: [70] Express Unknown type IRQ 0
> Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
> Device: Latency L0s unlimited, L1 unlimited
> Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
> Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
> Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
> Link: Supported Speed unknown, Width x0, ASPM unknown, Port 0
> Link: Latency L0s <64ns, L1 <1us
> Link: ASPM Disabled CommClk- ExtSynch-
> Link: Speed unknown, Width x0
>
> Line added to /etc/modprobe.d/alsa-base:
> options snd-hda-intel model=dell-m42
>
> I also tried models auto, and 3stack with the same results.
>
> This is in the gutsy release
>
> --
> Laptop speakers do not mute when using headphones
> https://bugs.launchpad.net/bugs/109838
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
/b

Andrew (andrew-rw-robinson) wrote :

I added the line to get sound working, but the speakers never turn off
when I plug in my headphones.

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-audio
importance: Undecided → Medium
status: New → Confirmed
Changed in linux-source-2.6.20:
assignee: brian-murray → nobody

For those who still experience this issue, can you please try installing linux-backports-modules and verify if this issue still exists? Please report back your results. Thanks!

Changed in linux-source-2.6.22:
status: Confirmed → Incomplete
Andrew (andrew-rw-robinson) wrote :

Note: Running Gutsy

I removed my alsa-modules (installed using module assistant) and installed the latest gutsy linux-backports-modules (2.6.22.14.21). The problem is now gone! The headphones and system speaker are correctly switching at the moment.

Dell Latitude D630
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

-Andrew

david (david-kabelverhau) wrote :

No change on my Asus U1F. The speakers still don't mute, except if I use model=lenovo.

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)

ii linux-backports-modules 2.6.22.14.21 Generic Linux backported drivers.
ii linux-backports-modules-2.6.22-14-generic 2.6.22-14.10 Ubuntu supplied Linux modules for version 2.6.22 on x8
ii linux-backports-modules-generic 2.6.22.14.21 Backported drivers for generic kernel image

$ uname -a
Linux batman 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

David Christiansen (drc01) wrote :
Download full text (9.8 KiB)

Now my sound is only muted when there are no headphones attached. When I plug in a headphone, I get sound through both the headphone and the speaker. When I unplug the headphone, I lose all sound. I've tried model=lenovo, with no change.

Output of tail -2 /proc/asound/oss/sndstat:
Mixers:
0: Analog Devices AD1986A

Output of amixer:

Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 25 [81%] [-9.00dB] [on]
  Front Right: Playback 25 [81%] [-9.00dB] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 22 [71%] [-1.50dB] [on]
  Front Right: Playback 22 [71%] [-1.50dB] [on]
Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Mono
  Limits: Playback 0 - 31
  Mono: Capture [on]
  Front Left: Playback 26 [84%] [4.50dB] [off]
  Front Right: Playback 26 [84%] [4.50dB] [off]
Simple mixer control 'Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 2 [67%]
  Front Right: 2 [67%]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 15
  Front Left: Capture 6 [40%] [9.00dB] [on]
  Front Right: Capture 6 [40%] [9.00dB] [on]
Simple mixer control 'Mix',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Mono
  Mono: Capture [off]
Simple mixer control 'Beep',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 15
  Mono:
  Front Left: Playback 6 [40%] [-27.00dB] [on]
  Front Right: Playback 6 [40%] [-27.00dB] [on]
Simple mixer control 'Caller ID',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Digital',0
  Capabilities: cvolume
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 120
  Front Left: Capture 60 [50%] [0.00dB]
  Front Right: Capture 60 [50%] [0.00dB]
Simple mixer control 'External Amplifier',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Internal Mic',0
  Capabilities: pvolume pswitch cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Mono
  Limits: Playback 0 - 31
  Mono: Capture [off]
  Front Left: Playback 17 [55%] [-9.00dB] [off]
  Front Right: Playback 17 [55%] [-9.00dB] [off]
Simple mixer control 'Off-hook',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]

Output of lspci -nv:
00:00.0 0600: 8086:27a0 (rev 03)
        Subsystem: 17aa:2061
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:01.0 0604: 8086:27a1 (rev 03) (prog-if 00 [Normal decode])
        Flags:...

Read more...

David Christiansen (drc01) wrote :

Just as an explanation, that last report (where the speakers are always muted unless there's a headphone plugged in) is after installing the backports packages.

Hardy Heron Alpha2 was recently released. It contains an updated version of the kernel. You can download and try the new Hardy Heron Alpha2 release from http://cdimage.ubuntu.com/releases/hardy/alpha-2/ . You should be able to then test the new kernel via the LiveCD. If you can, please verify if this bug still exists or not and report back your results. General information regarding the release can also be found here: http://www.ubuntu.com/testing/hardy/alpha2 . Thanks!

Changed in linux:
status: New → Incomplete
otto67 (ott-mtn) wrote :

I had the same speaker problem with Realtek ALC883
Using Gutsy 2.6.22-rt kernel
Added the line
options snd-hda-intel model=3stack-6ch
to the end of
/etc/modprobe.d/alsa-base
Then i will have the switch "Headphone" and can switch speakers on/off

Ti-nérisson (nerisson) wrote :

I experienced the same bug on a MSI EX600-023 with Gutsy Gibbon.
kernel :
2.6.22-14-generic
sound card :
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

I could resolve this bug thanks to this tutorial : https://help.ubuntu.com/community/HdaIntelSoundHowto (the "Manually Specify Module Parameters" part)
Output of "cat /proc/asound/card0/codec#* | grep Codec" :
Codec: Realtek ALC888
Codec: Generic 11c1 Si3054

I added "options snd-hda-intel model=targa-dig" at the end of /etc/modprobe.d/alsa-base and now, after a reboot, the problem is gone.

Ti-nérisson (nerisson) wrote :

I forgot to mention that I also tried the Hardy Heron alpha 4 live cd ans the bug was still there.

tzarsmango (fatih-ozceylan) wrote :

otto67 thanks for your comment

options snd-hda-intel model=3stack-6ch

worked great with my MSI S300 laptop (Realtek ALC883)

For those running Hardy Alpha, please try installing the latest linux-ubuntu-modules-2.6.24-7.12 which contains ALSA version 1.0.16. Please report back your results. Thanks.

Just adding a note that we will keep this report open against the actively developed kernel but will be closing it against linux-source-2.6.22. Thanks.

Changed in linux-source-2.6.22:
status: Incomplete → Won't Fix

Laptop:
Vaio VGN-FZ240E

This fixed my problem:
 sudo apt-get install linux-backports-modules

Thanks everyone :D

Germán Poo-Caamaño (gpoo) wrote :

I had intalled Hardy Alpha6 and then I updated it and the the problem exists.

The laptop is Toshiba Portégé R505.

$ tail -2 /proc/asound/oss/sndstat
Mixers:
0: Realtek ALC262

I also had seen the problem in my desktop machine (using Gutsy, without backports, so I will try them later, when I back home :-)

Mixers:
0: Realtek ALC888

David Christiansen (drc01) wrote :

I've just upgraded to Hardy Heron, and the problem no longer exists for me. Thanks!

Gabriel, since you are the original bug reporter, can you comment if this is still and issue for you. From the comments here it seems fixed for some and not for others. Thanks.

Wladston Viana (wladston) wrote :

The bug still happens with me. I have done a fresh install of Ubuntu 8.04.

Hi Leann,
I am now running Ubuntu 8.04 and I am still experiencing this issue. My ALSA settings are set the same as they were when I was running Feisty, and I have disabled PulseAudio as well because of a separate issue.

So, yes, unfortunately this is still a problem for me.

Gabriel Loewen

This is a confirmed issue with the Intel HDA Sound Cards and its derivatives. Is there a reason why it was marked incomplete?

Changed in linux:
status: Incomplete → Confirmed
david (david-kabelverhau) wrote :

The problem is still there for me as well (Asus U1F).

Just as a side note: When I use model=lenovo then it works, except if the headphones are plugged in before or during boot-up, in which case I have to unplug and plug them in again to mute the internal speaker.

tolson (thetsax) wrote :

I have also seen this bug on my Sony Viao. I tried all the alsa reinstallation, m-a fixes, and several options before I found that I need to set the model=viao in /etc/modprobe.d/alsa-base. It fixed the issue for me, and from what I have read, this seems to be the fix that works most often for many different systems (model=[something] where [something] is the correct keyword for that system).

Since this bug seems to be affecting so many people, it seems like there should be some detection script that runs on installation and perhaps on kernel updates in order to correctly detect and set the model. Is such a fix possible?

tolson (thetsax) wrote :

Also, "model=auto" does not work.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

david (david-kabelverhau) wrote :

Still doesn't work on my U1F with Intrepid Alpha 5 :(

adamthecamper (adamthecamper) wrote :

Tried to run Alpha5 for Intrepid Ibex 8.10 live-cd and while playing the ogg included the problem was still here.

My laptop is Asus F7E, and it has all the symptoms of this bug.
I am using kernel module :
snd-hda-intel
lspci gives me this audio device:
Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 04)

I have tried to folow this howto:
https://help.ubuntu.com/community/HdaIntelSoundHowto

So I have updated Alsa to 1.0.18rc3,
then folowed with finding right model

$ cat /proc/asound/card0/codec#* | grep Codec
Codec: Realtek ALC660-VD
Codec: Motorola Si3054

These are the relevant lines I have found in ALSA-configuration.txt

ALC861/660
   3stack 3-jack
   3stack-dig 3-jack with SPDIF I/O
   6stack-dig 6-jack with SPDIF I/O
   3stack-660 3-jack (for ALC660)
   uniwill-m31 Uniwill M31 laptop
   toshiba Toshiba laptop support
   asus Asus laptop support
   asus-laptop ASUS F2/F3 laptops
   auto auto-config reading BIOS (default)

 ALC861VD/660VD
   3stack 3-jack
   3stack-dig 3-jack with SPDIF OUT
   6stack-dig 6-jack with SPDIF OUT
   3stack-660 3-jack (for ALC660VD)
   3stack-660-digout 3-jack with SPDIF OUT (for ALC660VD)
   lenovo Lenovo 3000 C200
   dallas Dallas laptops
   hp HP TX1000
   auto auto-config reading BIOS (default

and 3stack-660-digout 3-jack with SPDIF OUT (for ALC660VD) looked as the one, but

options snd-hda-intel model=3stack-660-digout

at the end of the file /etc/modprobe.d/alsa-base
hasn't solved the problem.

adamthecamper (adamthecamper) wrote :

ok,

options snd-hda-intel model=lenovo

at the end of the file /etc/modprobe.d/alsa-base

HAS solved the problem :-)

I have a Packard Bell EasyNote with Realtek ALC660-VD. The option:
 options snd-hda-intel model=lenovo
in the file /etc/modprobe.d/alsa-base works for me in Hardy and Intrepid

David Christiansen (drc01) wrote :

I just tried upgrading to Intrepid, and my headphone muting works just fine with no special options.

Thanks for those who are working on this! I have a Lenovo 3000 N100.

Wladston Viana (wladston) wrote :

Same for me. Worked greatly out of the box for me.

Ok. I am the original reporter of this bug and I can confirm that this
issue has been solved with Intrepid Ibex. Using the alsa mode lenovo worked
great and all headphone issues have been resolved for me. Thanks.

This has been fixed with the release of Intrepid Ibex

Changed in linux:
status: Confirmed → Fix Released
techgeek24 (compser56) wrote :

I wish it were true but, alas, at least not with an upgrade to Intrepid Ibex. Still same issue for me.

I'm on a Toshiba Satellite A135-S4727 and no matter what I do, I can't even get anything to play out of the headphones! I've tried model=toshiba, model=lenovo, auto, 3stack, 3stack-6ch... I know this isn't related to this report, but did anyone else watching this bug have that problem? I'm on Intel HDA (Realtek ALC861-VD).

Chance Fulton (chance-fulton) wrote :

Toshiba satellite running ubuntu 8.10 fully up to date, Speakers will not mute when headphones are plugged in. I have the 3stack model in my alsa-base file.

relevant info is:
uname -a
Linux chance-laptop 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:06 UTC 2008 x86_64 GNU/Linux
cat alsa-base
# autoloader aliases
install sound-slot-0 /sbin/modprobe snd-card-0
install sound-slot-1 /sbin/modprobe snd-card-1
install sound-slot-2 /sbin/modprobe snd-card-2
install sound-slot-3 /sbin/modprobe snd-card-3
install sound-slot-4 /sbin/modprobe snd-card-4
install sound-slot-5 /sbin/modprobe snd-card-5
install sound-slot-6 /sbin/modprobe snd-card-6
install sound-slot-7 /sbin/modprobe snd-card-7

# Cause optional modules to be loaded above generic modules
install snd /sbin/modprobe --ignore-install snd && { /sbin/modprobe --quiet snd-ioctl32 ; : ; }
install snd /sbin/modprobe --ignore-install snd && { /sbin/modprobe -Qb snd-seq ; }
install snd-pcm /sbin/modprobe --ignore-install snd-pcm && { /sbin/modprobe --quiet snd-pcm-oss ; : ; }
install snd-mixer /sbin/modprobe --ignore-install snd-mixer && { /sbin/modprobe --quiet snd-mixer-oss ; : ; }
install snd-seq /sbin/modprobe --ignore-install snd-seq && { /sbin/modprobe --quiet snd-seq-midi ; /sbin/modprobe --quiet snd-seq-oss ; : ; }
install snd-rawmidi /sbin/modprobe --ignore-install snd-rawmidi && { /sbin/modprobe --quiet snd-seq-midi ; : ; }
# Cause optional modules to be loaded above sound card driver modules
install snd-emu10k1 /sbin/modprobe --ignore-install snd-emu10k1 $CMDLINE_OPTS && { /sbin/modprobe -Qb snd-emu10k1-synth ; }
install snd-via82xx /sbin/modprobe --ignore-install snd-via82xx $CMDLINE_OPTS && { /sbin/modprobe -Qb snd-seq ; }

# Load saa7134-alsa instead of saa7134 (which gets dragged in by it anyway)
install saa7134 /sbin/modprobe --ignore-install saa7134 $CMDLINE_OPTS && { /sbin/modprobe -Qb saa7134-alsa ; : ; }

# Load snd-seq for devices that don't have hardware midi;
# Ubuntu #26283, #43682, #56005; works around Ubuntu #34831 for
# non-Creative Labs PCI hardware
install snd /sbin/modprobe --ignore-install snd && { /sbin/modprobe -Qb snd-seq ; }
# Prevent abnormal drivers from grabbing index 0
options bt87x index=-2
options cx88_alsa index=-2
options saa7134-alsa index=-2
options snd-atiixp-modem index=-2
options snd-intel8x0m index=-2
options snd-via82xx-modem index=-2
options snd-usb-audio index=-2
options snd-usb-usx2y index=-2
options snd-usb-caiaq index=-2
# Ubuntu #62691, enable MPU for snd-cmipci
options snd-cmipci mpu_port=0x330 fm_port=0x388
# Keep snd-pcsp from beeing loaded as first soundcard
options snd-pcsp index=-2
options snd-hda-intel position_fix=1 model=3stack
 Just wondering how this is coming.

Try using the lenovo model in alsa-base

Chance Fulton (chance-fulton) wrote :

I tried that yesterday, and it didn't work, then I saw the position_fix=1,
and probe_mask=8, which fixed it after a reboot. Thanks

On Mon, Nov 24, 2008 at 12:42 AM, Gabriel Loewen
<email address hidden>wrote:

> Try using the lenovo model in alsa-base
>
> --
> Laptop speakers do not mute when using headphones
> https://bugs.launchpad.net/bugs/109838
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Chance Fulton
<email address hidden>
810.441.5795

1bratek (1bratek) wrote :

Hello,

I have the same problem while using ubuntu 9.04 alpha (kernel 2.6.28), but only at first insert.
Pluging headphones doesn`t switch off the speakers, after pluging out and pluging in again, speakers are muted, and headphones works OK

Best Regards
Bartłomiej Głuch

Hello,

I have a similar problem to 1bratek, but it doesn't mute the speakers even if I reinsert them. I run Jaunty (Netbook Remix) on a Lenovo S10.

On UNR 9.04 on the Lenovo S10, this seems to be related to bug #312403. When I change the line on /etc/modprobe.d/alsa-base.conf from

options snd-hda-intel model=basic

to

options snd-hda-intel model=lenovo

the speakers mute properly when I insert the headphones, but then the internal microphone stops working.

Yep, totally related to Bug #312403. I just made this posting to that thread and so I'm making it a point to copy that posting here in the hopes that some dialogue can take place between anyone who might be working on solving this problem:

Okay, I'm going to put my two cents in because I see threads/bugs relating to two related problems but I haven't yet been able to fix both problems simultaneously.

I have experienced the problem regarding the internal mic for the s10e not being available as a recording device which is fixed with:

options snd-hda-intel model=basic

But this creates a different problem whereas the internal speakers do not mute automatically when headphones are plugged in. Which is fixed with:

options snd-hda-intel model=laptop
and this issue is also fixed with:
options snd-hda-intel model=lenovo

However, fixing the headphone sensing problem breaks the recording device problem (as well as all options, switches, etc) leaving only the playback mixers available.

Since these two problems seem to be related I think any solution proposed should only consider this problem resolved if the mic can be used while headphone "sensing" is also functioning.

I would be happy to try any solutions suggested a post back the results in this thread or any other that may be appropriate for those linux geeks who are savvy with this driver but may not have the equipment necessary to test on (s10e, et al).
I am going to post a copy of this message in any thread I can find on launchpad.net regarding this issue in the hopes that this problem can be resolved once and for all for everyone experiencing it.

Thanks, in advance, to anyone who makes an effort on this issue.

see solution to Bug #312403
Everything works properly for me on my S10e now thanks to Björn Leder.

Gary M (garym) on 2010-11-01
Changed in hal (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments